Bug 366521 - [patch] Resize/Export problem in 0.3.5, fixed in 0.4.0
[patch] Resize/Export problem in 0.3.5, fixed in 0.4.0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-05 04:40 EST by Tim Waugh
Modified: 2007-12-06 15:49 EST (History)
0 users

See Also:
Fixed In Version: 0.3.5-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 15:49:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
f-spot-resizefilter.patch (3.21 KB, patch)
2007-11-05 04:40 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2007-11-05 04:40:41 EST
Description of problem:
Exporting an image to Flickr occasionally ignores the 'Resize image' setting and
uploads the original file.

Version-Release number of selected component (if applicable):
0.3.5-2.fc7

How reproducible:
100% with one particular image (my ref 639: this is over 4Mb)

Steps to Reproduce:
1.Import file into F-Spot
2.Select file
3.Export to Flickr
4.Make sure 'Resize image' is checked, and choose '800' as the dimension
5.Click OK

Actual results:
Full size image is uploaded (takes ages and was not what I wanted)

Expected results:
Resized image is uploaded.

Additional info:
0.4.0 does not exhibit the same problem.  I have backported a small change that
fixes the problem for me, and attached the patch.
Comment 1 Tim Waugh 2007-11-05 04:40:41 EST
Created attachment 247841 [details]
f-spot-resizefilter.patch
Comment 2 Christopher Aillon 2007-11-13 08:56:12 EST
f-spot-0.3.5-4.fc7 has been submitted to Fedora 7's Updates Testing repo.
Comment 3 Fedora Update System 2007-11-14 22:35:02 EST
f-spot-0.3.5-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update f-spot'
Comment 4 Fedora Update System 2007-12-06 15:49:02 EST
f-spot-0.3.5-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.